# Mapping

## `Mapping`

An Imperative Mapping extends the abstract declarative mapping to support explicit nested invocation of mappings with bindings for the invoked mapping’s bound variables.

conformsTo `Rule`

Attributes

`MappingCall : Bag(qvtimperative::MappingCall)`

`ownedParameters : Set(qvtimperative::MappingParameter)[*|1]`

`ownedStatements : OrderedSet(qvtimperative::Statement)[*|1]`